QXmlDefaultHandler(3qt)

NAME
QXmlDefaultHandler - Default implementation of all XML handler classes

SYNOPSIS
#include <qxml.h>

Inherits QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler and QXmlDeclHandler.

  Public Members
QXmlDefaultHandler ()
virtual ~QXmlDefaultHandler ()

DESCRIPTION
The QXmlDefaultHandler class provides a default implementation of all XML handler classes.

Very often you are only interested in parts of the things that that the reader reports to you. This class implements a default behaviour for the handler classes (i.e. most of the time do nothing). Usually this is the class you subclass for implementing your customized handler.

See also the Introduction to SAX2.

See also QXmlDTDHandler, QXmlDeclHandler, QXmlContentHandler, QXmlEntityResolver, QXmlErrorHandler, QXmlLexicalHandler and XML.

MEMBER FUNCTION DOCUMENTATION

QXmlDefaultHandler::QXmlDefaultHandler ()
Constructor.

QXmlDefaultHandler::~QXmlDefaultHandler () [virtual]
Destructor.

SEE ALSO
http://doc.trolltech.com/qxmldefaulthandler.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qxmldefaulthandler.3qt) and the Qt version (3.0.3).